=== debian/changelog ===
deepin-fix-init (0.1.6) unstable; urgency=medium

  * fix bug for btrfs.

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Tue, 07 Feb 2023 09:38:51 +0800

deepin-fix-init (0.1.5) unstable; urgency=medium

  * add dependency.

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Mon, 06 Feb 2023 16:52:31 +0800

deepin-fix-init (0.1.4) unstable; urgency=medium

  * no exec postinst/postrm in chroot.

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Sun, 15 Jan 2023 14:27:28 +0800

deepin-fix-init (0.1.3) unstable; urgency=medium

  * no exec in chroot.

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Sun, 15 Jan 2023 12:40:39 +0800

deepin-fix-init (0.1.2) unstable; urgency=medium

  * port to mips64.

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Fri, 06 Jan 2023 20:04:55 +0800

deepin-fix-init (0.1.1) unstable; urgency=medium

  * fix compile error.

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Wed, 04 Jan 2023 10:15:57 +0800

deepin-fix-init (0.1.0) unstable; urgency=medium

  * rewrite use c.

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Sun, 01 Jan 2023 17:21:03 +0800

deepin-initramfs-enhance (0.0.3) unstable; urgency=medium

  * release 0.0.3

 -- electricface <songwentai@uniontech.com>  Fri, 23 Dec 2022 11:35:43 +0800

deepin-initramfs-enhance (0.0.2) unstable; urgency=medium

  * release 0.0.2

 -- electricface <songwentai@uniontech.com>  Tue, 13 Dec 2022 15:22:01 +0800

deepin-initramfs-enhance (0.0.1) unstable; urgency=medium

  * Initial Release.

 -- electricface <songwentai@uniontech.com>  Mon, 28 Nov 2022 15:14:06 +0800
