=== debian/control ===
Source: deepin-fix-init
Section: utils
Priority: optional
Maintainer: Wuhansystem <wangxinpeng@uniontech.com>
Build-Depends: debhelper (>= 11), dialog, libncursesw6, libncurses-dev
Standards-Version: 4.1.3
Homepage: http://www.deepin.org

Package: deepin-fix-init
Architecture: any
Depends: ${shlibs:Depends}, debianutils (>= 1.6), initramfs-tools-core, ttf-unifont, fbterm, ncurses-base, gettext-base
Description: help users to deal with failures during the initramfs boot phase.
 When an error occurs during the initramfs boot phase,
 it will enter the UI provided by this program to assist
 the user to execute the fsck command to fix the problem.
